# $Revision: 1.3 $, $Date: 2009/11/16 05:47:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	JSON
Summary:	Config::JSON - a JSON based config file system
Name:		perl-Config-JSON
Version:	1.4.0
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1ffdc1d66f0d825f2aab28f74e6ce2bb
URL:		http://search.cpan.org/dist/Config-JSON/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Class::InsideOut) >= 1.06
BuildRequires:	perl-JSON >= 2.12
BuildRequires:	perl-Test-Deep >= 0.095
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package parses the config files written in JSON. It also does
some non-JSON stuff, like allowing for comments in the files.

%prep
%setup -q -n %{pdir}-%{pnam}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Config/JSON.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Config-JSON.spec,v $
Revision 1.3  2009/11/16 05:47:32  amateja
- updated to 1.4.0

Revision 1.2  2009/06/16 13:52:43  amateja
- updated to 1.3.1

Revision 1.1  2008/02/22 10:09:50  mis
- new

